Na maanden van voorbereiding is het moment dan eindelijk aangebroken. Het team achter WordPress heeft namelijk aangekondigd dat WordPress 5.0 morgen (6 december 2018) het levenslicht gaat zien. De belangrijkste verandering die deze update met zich meebrengt, is de hagelnieuwe Gutenberg editor, die de plaats in gaat nemen van de bekende TinyMCE editor. Wij vragen ons hardop af: ‘to update or not to update?’.

Blijft mijn website werken na de WordPress 5.0 update?

Tot nu toe werd verkondigd dat de nieuwe Gutenberg editor ‘backwards compatible’ zou zijn. Ofwel; dat de editor zonder problemen zou samenwerken met thema’s en plugins die niet specifiek voor Gutenberg ontworpen zijn. Toch bereiken ons berichten die anders doen vermoeden.

Zo slingerde de maker van WPML, de populaire WordPress-plugin die het mogelijk maakt om een WordPress website te vertalen, vandaag een verontrustende e-mail de wereld in. In deze e-mail en een bijbehorende blogpost roept de maker op om vooral nog even te wachten met het installeren van de grote 5.0 update.

“Unfortunately, Gutenberg is still not stable enough for full integration. Since it’s changing between each release (including the release candidates), there’s a chance that new compatibility issues will arise with the upcoming WordPress 5.0 release and with every subsequent 5.x update.”

Gaston, wat zijn de opties?

Er zijn een drietal opties waar je als beheerder uit kunt kiezen. Voordat we onze keuze met je delen, zullen we ze even voor je op een rij zetten.

Optie 1: direct updaten naar WordPress 5.0
WordPress lijkt gerust te zijn op de resultaten van hun maandenlange testperiode, dus daar zou je jezelf bij aan kunnen sluiten. (Misschien is het handing om toch even een backup te draaien… just to be sure ^^).

Optie 2: wachten met updaten naar WordPress 5.0
WordPress 5.0 bevat geen kritische wijzigingen t.a.v. veiligheid of performance, dus je zou de update zonder problemen nog even uit kunnen stellen tot na de feestdagen.

Optie 3: wel updaten naar WordPress 5.0, maar nog geen gebruik maken van Gutenberg
WordPress heeft de plugin ‘Classic Editor’ uitgebracht, waarmee je ook in 5.0 gewoon gebruik kunt blijven maken van de TinyMCE editor. Dus je zou ervoor kunnen kiezen om wel te updaten, maar om meneer Gutenberg nog even buiten de deur te houden.

Wat zou Databoss doen?

In onze eigen testomgeving zien we ook wat rare dingen gebeuren. Gutenberg lijkt niet optimaal te functioneren met enkele andere plugins die we gebruiken. Wij hebben daarom besloten om de sites van onze klanten wel te updaten naar WordPress 5.0, maar we zullen voorlopig gebruik blijven maken van de TinyMCE editor. Op het moment dat alle kinderziektes de wereld uit zijn, zullen we ons beraden over hoe we zo soepel mogelijk over kunnen stappen naar Gutenberg.